package fixture;

import java.util.ArrayList;

import project.Auction;
import project.User;

public class UserFixture {

	private String username, password, email, ssn;
	private User u;
	private ArrayList<Auction> userAuction;
	
	public boolean userLogin() {

		u = User.getInstance();
		return u.login(username, email, password);

	}

	public ArrayList<Auction> retrieveSubscribedAuction() {

		u = User.getInstance();
		u.setSubscribedAuction(userAuction);
		return u.retrieveSubscribedAuction();

	}

	public boolean becomeSeller() {
		
		u = User.getInstance();
		return u.becomeSeller(ssn);
		
	}

	public void setUsername(String username) {
		this.username = username;
	}

	public void setPassword(String password) {
		this.password = password;
	}

	public void setEmail(String email) {
		this.email = email;
	}

	public void setSsn(String ssn) {
		this.ssn = ssn;
	}

	public void setU(User u) {
		this.u = u;
	}

	public void setUserAuction(ArrayList<Auction> userAuction) {
		this.userAuction = userAuction;
	}
	
}
